Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.linechart
Class LineChartAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.linechart.LineChartAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class LineChartAgent

extends Agent

This Agent is dedicated to create linecharts. Send a LineChartMessage to it to create a new linechart or add a point to an existing linechart. To DOs : implementation is not completed (modify scale, space between point, etc... with messages

Version:
  1.0 26/06/2002
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary
`int` | `height`
`LineChartGUI` | `myGUI`
`int` | `width`

Constructor Summary
`LineChartAgent()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `live()` This method defines the main behavior for threaded agents.
`void` | `setLineChartTitle(java.lang.String title)`
`void` | `setScaleX(int scale)`
`void` | `setScaleY(int scale)`
`void` | `setXAxisName(java.lang.String xAxisName)`
`void` | `setYAxisName(java.lang.String yAxisName)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myGUI

    public LineChartGUI myGUI

### width

    public int width

### height

    public int height

Constructor Detail

### LineChartAgent

    public LineChartAgent()

Method Detail

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developper should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developper does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### setScaleX

    public void setScaleX(int scale)

### setScaleY

    public void setScaleY(int scale)

### setLineChartTitle

    public void setLineChartTitle(java.lang.String title)

### setXAxisName

    public void setXAxisName(java.lang.String xAxisName)

### setYAxisName

    public void setYAxisName(java.lang.String yAxisName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.